<?php

namespace App\Entities;

use App\Entities\CommonEntity;
use App\Models\UserSNSModel as Model;

class UserSNSEntity extends CommonEntity
{
    const PK = Model::PK;
    const TITLE = Model::TITLE;
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }
    //Common Function
    public function getID(): string
    {
        return $this->id;
    }
    public function getSite(): string
    {
        return $this->site;
    }
    public function getEmail(): string
    {
        return $this->email;
    }
    public function getParent(): int|string
    {
        return $this->user_uid;
    }
}
